Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Broken 11.1 ?

  1. #1

    Default Broken 11.1 ?

    Ehmm...i have just installed GNOME Live CD with 11.1 but i have a few issues which really pi*s me off..

    First try to run terminal, enter su command followed by root password. Then i have tried to run for example nautilus or gconf-editor, but instead of opening those apps with admin rights, terminal gets full of error messages.

    Package manager GUI is little improved, but those rpm package depencies and patterns are killing me.

    Looks like Packman is in conflict with Videolan repository, visible on xvid core package and why the hell must be all language packages in conflict with updated apps like Brasero etc. In Ubuntu, when i downloaded updated package from getdeb.net, it never fights with my current lang file installed, bud rpm packages are fighting each other.

    There are also new, strange depencies. I cannot anymore remove gnome-pilot without removing evolution, or when i add packman repo, it wants to install into my system aditional gstreamer plugins, even if i don't want them an therefore i must remove them without depency problems right after installation...wtf?

    Updater applet seems to not working, update were done through Yast and i'm also unable to set up on-line updates. And what is that stupid GDM screen with one user?

    meh..

    however, it's da*n fast and kinda like it more than ubuntu but could you at least once release version with quality of this one +6 months of patches and bugfixes? PLS

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,549
    Blog Entries
    37

    Default Re: Broken 11.1 ?

    Quote Originally Posted by 6205 View Post
    First try to run terminal, enter su command followed by root password. Then i have tried to run for example nautilus or gconf-editor, but instead of opening those apps with admin rights, terminal gets full of error messages.
    Try "gnomesu" instead of "su".

    Quote Originally Posted by 6205 View Post
    Looks like Packman is in conflict with Videolan repository
    The conflict between Packman and Videolan repos been like this for a while. Nothing new there with 11.1.

    IMHO use Videolan repos for only libdvdcss and then remove Videolan, and only use Packman, Oss, Non-OSS, and Update. Just those 4. No others. None. Your dependency problems will mostly go away. When you learn more about resolving dependencies, then feel free to add more. There are still some (a small number of) Packman apps that do not have all their dependencies populated (also in Packman) and all you can do their is either wait, or build the missing packages yourself.

  3. #3

    Default 11.1 - frustrating xmass

    btw. what about fonts?

    - if i try to open any ttf font file copied from vista i get error that gnome(or something)cannot display/view this type of file... it was fully working in previous releases :(

    - in 11.0 was not possible to enable subpixel hinting in gnome, patched/updated libraries have enabled this feature only in terminal and rest of the gnome was unchanged.
    http://img122.imageshack.us/img122/9...razovkafq4.png but the same thing is here in 11.1 and why was this not resolved from day one anyway? microsoft DOES NOT OWN ultimate right to use subpixel hinting on fonts. they have patended ClearType technology only and the way it smooth fonts. but not smoothing idea or something...i asume freetype2 libs are not MS property, renamed and recompiled..

    - what should i do if i want to use vlc player? i need videolan repo, vlc blends nicely with gnome so that's it...

    Also i would like to know if these issues of mine are related only to Live CD or are they present also on DVD version of GNOME which always install a lot more of bloat..

    mm...i'm sad folks :(

  4. #4
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: 11.1 - frustrating xmass

    I've used the DVD to install openSUSE 11.1 with GNOME.. I have no issues whatsoever.

    The fonts are fine (crisp and sharp) for me and needed very little tuning.. so it should be possible to get it running stably.
    No errors using 'su -' in a terminal either.

    The 6 month cycle is used to put many new enhancements in the openSUSE distro as also new software.. Also the build service was introduced in this release to completely build the ISO's. The high pace sometimes means there are still some issues at GM release. Usually things get straightened out with updates in the first month.
    Long stroy short.. it looks like openSUSE 11.2 will have a cycle of 9 months dev. I hope so as this also gives the testers more time to test and report back... which in theory would mean a more stable GM release.

    I can only say I've used the DVD to install four different systems (3 GNOME, 1 KDE 4.1) .. and they are all running dandy! The only glitch I had was with my laptop.. and that could be due to the Intel video driver, but I'm still looking in to that. (2 freezes in the last month and a half. - stared using Beta5 on my laptop).

    Wish you luck,
    Wj

    Ps. The tips given when using repositories by Oldcpu are golden rules. Also, when adding extra repos stay selective in what you use them for.
    Also when doing an install, the DVD is the best choice! It gives you more options and you have all the needed packages on there.
    openSUSE LiveCD's are nice, but not the best option for doing a install - but that's my personal view.
    Have a lot of fun!

  5. #5

    Default Re: Broken 11.1 ?

    openSUSE Nautilus is missing these buttons..

    http://img254.imageshack.us/img254/8499/59677121vi8.png

    is it possible to get them back and why they were removed from this distro?

  6. #6
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Broken 11.1 ?

    I remember you reporting that with openSUSE 11.0 too?!
    Did you ever get around to opening a bug report for it? Not sure if it's a standard GNOME button or if it was hidden intentionally.
    Can't find any real info on this...

    Your best bet would be to open a GNOME enhancement request for openSUSE 11.1. You can do that following the instructions found here : Submitting Bug Reports - openSUSE

    Cheers,
    Wj
    Have a lot of fun!

  7. #7

    Default Re: Broken 11.1 ?

    https://bugzilla.novell.com/show_bug.cgi?id=462077

    all i need now is some luck and support from other users

  8. #8

    Default Re: Broken 11.1 ?

    all i need now is some luck and support from other users
    sounds like you feel very frustrated and dissatisfied 6205

    what particular areas can folks now help you in?

    as Magic31 commented to you: a LiveCD is .. sort of a starter ..

    all that might be needed is on a LiveDVD; so after a LiveCD install, one is gradually picking up packages that are needed;

    we did a LiveCD install of 11.0 a few months ago; we gradually added what we found we lacked!

    a post did detail what packages one can specify to add: sadly, I cannot find it now; apologies;

    You seem very keen to delete lots of stuff and be what one might call selective: that is your choice: maybe just leaving stuff on might save you dependency problems:

    best wishes and welcome to the OpenSuse forum

  9. #9

    Default Re: 11.1 - frustrating xmass

    Quote Originally Posted by 6205 View Post
    why was this not resolved from day one anyway? microsoft DOES NOT OWN ultimate right to use subpixel hinting on fonts. they have patended ClearType technology only and the way it smooth fonts. but not smoothing idea or something...i asume freetype2 libs are not MS property, renamed and recompiled..
    Ask freetype devs, they did the change more than two years ago: [ft] State of LCD/SubPixel Rendering in FreeType

    Quote Originally Posted by 6205 View Post
    - what should i do if i want to use vlc player? i need videolan repo, vlc blends nicely with gnome so that's it...
    vlc is available from Packman.

  10. #10

    Default Re: Broken 11.1 ?

    i see so videolan repo is propably good only for libdvdcss..

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •